package com.caimei.modules.club.entity;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 商城运营人员Entity
 *
 * @author lijun
 * @version 2019-11-22
 */
@Data
public class CmOperationUser implements Serializable {

    private static final long serialVersionUID = 1L;
    private Integer id;
    private String userOrganizeId;        // 用户组织ID,具体对应cm_mall_organize表ID
    private String userId;        // 用户ID：隶属于哪个用户的运营人员
    private String clubId;        // 会所ID：隶属于哪个会所的运营人员
    private String account;        // 运营人账号名【产品预留字段暂时不启用】
    private String mobile;        // 手机号码
    private String linkName;        // 联系人
    private String invitationCode;        // 邀请码
    private String status;        // 1未绑定，2已绑定
    private String nickName;        // 微信昵称
    private String openid;        // 小程序openid
    private Date invitationCodeTime;        // 邀请码生成时间（此时间起48小时有效）
    private Date bindTime;        // 绑定时间
    private Date updateTime;        // 更新时间
    private Date addTime;        // 添加时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date beginAddTime;        // 开始 添加时间
    @DateTimeFormat(pattern = "yyyy-MM-dd")
    private Date endAddTime;        // 结束 添加时间
    private String effectiveFlag;//邀请码是否有效 1有效，2已使用，3已失效
    private String configFlag;//确认标志
    private String delFlag; //0 有效 其它无效
}