package com.caimei.modules.club.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

@ApiModel("用户实体类")
@Data
public class CmUser implements Serializable {

    private static final long serialVersionUID = 1L;
    private String startTime;
    private String endTime;

    @ApiModelProperty("userId")
    private Integer userId;
    @ApiModelProperty("用户组织Id")
    private Integer userOrganizeId;
    @ApiModelProperty("手机号码")
    private String mobile;
    @ApiModelProperty("用户权限")
    private Integer userPermission;
    @ApiModelProperty("邮箱")
    private String email;
    @ApiModelProperty("用户名")
    private String userName;
    @ApiModelProperty("image")
    private String image;
    @ApiModelProperty("密码")
    private String password;
    @ApiModelProperty("组织名称")
    private String name;
    @ApiModelProperty("用户类型，见表c_usertype或枚举UserType")
    private String registerUserTypeId;
    @ApiModelProperty("供应商状态，见表c_shopstatus或枚举ShopStatus")
    private String manufacturerStatus;
    @ApiModelProperty("供应商Id")
    private String shopId;
    @ApiModelProperty("审核状态 92审核不通过 90审核通过")
    private String auditStatus;
    @ApiModelProperty("审核时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String auditTime;
    @ApiModelProperty("审核备注")
    private String auditNote;
    @ApiModelProperty("注册时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String registerTime;
    @ApiModelProperty("登录时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String loginTime;
    @ApiModelProperty("用户状态，1正常，0冻结")
    private Integer validFlag;
    @ApiModelProperty("会所状态，1待审核 90已上线 91已下线 92审核未通过")
    private String clubStatus;
    @ApiModelProperty("会所Id")
    private Integer clubId;
    @ApiModelProperty("agreeFlag")
    private Integer agreeFlag;
    @ApiModelProperty("创客状态")
    private String serviceProviderStatus;
    @ApiModelProperty("创客Id")
    private String serviceProviderId;
    @ApiModelProperty("账户余额")
    private Double userMoney;
    @ApiModelProperty("账户可用余额")
    private Double ableUserMoney;
    @ApiModelProperty("采美豆数量")
    private String userBeans;
    @ApiModelProperty("账号名： 企业账号登录使用")
    private String account;
    @ApiModelProperty("用户身份")
    private Integer userIdentity;
    @ApiModelProperty("真实姓名")
    private String realName;
    @ApiModelProperty("企业用户id")
    private Integer companyUserId;
    @ApiModelProperty("企业绑定手机号")
    private String bindMobile;
    @ApiModelProperty("联系人")
    private String linkMan;
    @ApiModelProperty("营业执照")
    private String businessLicenseImage;
    @ApiModelProperty("营业执照号")
    private String socialCreditCode;
    @ApiModelProperty("审核人")
    private String checkMan;

    //会所用户信息
    private String town; // 区
    private String city; // 市
    private String province; //省
    private String address;        // 详细地址
}