package com.caimei.modules.club.service.impl;

import com.caimei.modules.club.dao.CmUserDao;
import com.caimei.modules.club.dao.NewCmClubDao;
import com.caimei.modules.club.entity.CmUser;
import com.caimei.modules.club.entity.NewCmClub;
import com.caimei.modules.club.service.CmUserService;
import com.caimei.modules.shiro.entity.CmMallAdminUser;
import com.caimei.utils.AppKeys;
import com.caimei.utils.DateUtils;
import com.caimei.utils.ResponseJson;
import com.caimei.utils.SMSUtils;
import com.google.common.collect.Maps;
import lombok.extern.slf4j.Slf4j;
import org.apache.commons.collections.CollectionUtils;
import org.apache.shiro.SecurityUtils;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.Map;

@Slf4j
@Service
public class CmUserServiceImpl implements CmUserService {

    @Resource
    private CmUserDao cmUserDao;
    @Resource
    private NewCmClubDao newCmClubDao;

    @Override
    public List<CmUser> findListBuyUserInfo(CmUser cmUser) {
        return cmUserDao.findListBuyUserInfo(cmUser);
    }

    @Override
    public List<CmUser> findListBuyBindMobile(CmUser cmUser) {
        return cmUserDao.findListBuyBindMobile(cmUser);
    }

    @Override
    public void insert(CmUser cmUser) {
        cmUserDao.insert(cmUser);
    }

    @Override
    public void update(CmUser cmUser) {
        cmUserDao.update(cmUser);
    }

    @Override
    public ResponseJson auditClubStatus(CmUser cmUser) {
        String format = new SimpleDateFormat("yyyy-MM-dd HH:mm:ss").format(new Date());
        // club修改
        NewCmClub newCmClub = new NewCmClub();
        newCmClub.setClubId(cmUser.getClubId());
        newCmClub.setStatus(Integer.valueOf(cmUser.getAuditStatus()));
        newCmClub.setAuditTime(format);
        newCmClub.setAuditNote(cmUser.getAuditNote());
        CmMallAdminUser principal = (CmMallAdminUser) SecurityUtils.getSubject().getPrincipal();
        newCmClub.setCheckMan(principal.getAccountName());
        newCmClubDao.update(newCmClub);
        cmUser.setClubStatus(cmUser.getAuditStatus());
        //同步到用户表的审核信息中
        String auditStatus = cmUser.getAuditStatus();
        String s = "90".equals(auditStatus) ? "1" : "0";
        cmUser.setAuditStatus(s);
        cmUser.setAuditNote(cmUser.getAuditNote());
        if("90".equals(cmUser.getAuditStatus())){
            cmUser.setUserPermission(2);
            cmUser.setValidFlag(AppKeys.FLAG_YES);
        }
        cmUserDao.update(cmUser);
        /**
         *  todo
         *  审核通过短信模板：【丽格集采联盟】您的资料已审核通过，欢迎前往“联合丽格集采商城”小程序进行采购。
         *  审核未通过短信模板：【丽格集采联盟】您的资料审核未通过，请前往“联合丽格集采商城”小程序修改资料后重新提交
         */
        return ResponseJson.success("审核成功！");
    }
}
