package com.caimei.modules.groupbuy.controller;

import com.caimei.modules.club.entity.Page;
import com.caimei.modules.groupbuy.entity.BuyerDto;
import com.caimei.modules.groupbuy.service.ProcureService;
import com.caimei.utils.ResponseJson;
import com.github.xiaoymin.knife4j.annotations.ApiSupport;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiImplicitParam;
import io.swagger.annotations.ApiImplicitParams;
import io.swagger.annotations.ApiOperation;
import lombok.RequiredArgsConstructor;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * @author zzj
 */
@Api(tags = "集采需求")
@ApiSupport(author = "zzj")
@RestController
@RequiredArgsConstructor
@RequestMapping("/group/buy")
public class GroupBuyController {

    private final ProcureService procureService;

    @ApiOperation("集采列表")
    @ApiImplicitParams({
            @ApiImplicitParam(required = true, name = "pageNum", value = "当前页码"),
            @ApiImplicitParam(required = true, name = "pageSize", value = "每页大小")
    })
    @GetMapping("/buy/list")
    public ResponseJson<Page<BuyerDto>> saveTheme(BuyerDto dto,
                                                  @RequestParam(value = "pageNum", defaultValue = "1") int pageNum,
                                                  @RequestParam(value = "pageSize", defaultValue = "10") int pageSize) {
        return ResponseJson.success(procureService.findBuyListByPro(dto, pageNum, pageSize));
    }

    @ApiOperation("集采详情")
    @GetMapping("/detail")
    public ResponseJson<Map<String, Object>> checkDetail(String id) {
        return ResponseJson.success(procureService.findDetail(id));
    }

    @ApiOperation("置为已完成")
    @GetMapping("/done")
    public ResponseJson checkDone(String id) {
        return procureService.checkDone(id);
    }
}
