package com.caimei.modules.groupbuy.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import nonapi.io.github.classgraph.json.Id;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author zzj
 */
@ApiModel("集采对象实体")
@Data
public class BuyerDto {

    @ApiModelProperty("id")
    private String id;

    @ApiModelProperty("发布人userId")
    private String userId;

    @ApiModelProperty("商品图片")
    private String productImage;

    @ApiModelProperty("商品名称")
    private String productName;

    @ApiModelProperty("期望单价")
    private String price;

    @ApiModelProperty("购买数量")
    private String number;

    @ApiModelProperty("创建时间")
    private String saveTime;

    @ApiModelProperty("创建人Id")
    private String createUserId;

    @ApiModelProperty("是否实现 1 以实现 0 未实现")
    private String isAchieve;

    @ApiModelProperty("是否删除 0 未删除 其他删除")
    private String delFlag;

    @ApiModelProperty("机构名称")
    private String clubName;

    @ApiModelProperty("联系人")
    private String linkMan;

    @ApiModelProperty("手机号")
    private String mobile;

    @ApiModelProperty("总需求数量")
    private Integer needNum;

    @ApiModelProperty("参与机构数")
    private Integer clubCount;

    @ApiModelProperty("查询字段：创建起始时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String startSaveTime;

    @ApiModelProperty("查询字段：创建终止时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String endSaveTime;

    @ApiModelProperty("查询字段：需求状态 1未完成 2已完成 3已删除")
    private Integer status;
}
