package com.caimei.modules.order.dao;

import com.caimei.modules.order.entity.*;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author zzj
 */
@Mapper
public interface PayShopDao {

    List<OrderPayShop> findPayShops(OrderPayShop orderPayShop);

    OrderPayShopDetail findPayShopDetail(Integer id);

    List<NewShopOrder> findPayShopOrders(Integer payShopId);

    List<NewOrderProduct> findPayOrderProducts(Integer shopOrderId);

    List<String> findShopOrderNos(Integer orderId);

    List<OrderPayShopRecord> findPayShopRecords(Integer id);

    void updatePayRecord(OrderPayShopRecord record);

    void updatePayShop(OrderPayShop orderPayShop);

    void updatePayRecordById(Integer status, Integer id);

    void insertPayShop(OrderPayShopDetail payShop);

    void insertPayRecord(OrderPayShopRecord record);

    void updatePaying(Integer shopOrderId,Double shopPostFee);

    void updatePayShopDetail(OrderPayShopDetail payShop);

    void updateRecordById(Integer shopOrderId, Double waitPayShop, Double waitPayCmAmount, Integer payShopId);

    void updateShopAccount(Integer shopId, String bankAccount, String bankAccountName, String bankName);

    void deleteRecords(Integer id);

    List<String> findShopOrderNosByPayShop(Integer payShopId);

    String findOrderNos(Integer payShopId);

    void insertSettleRecord(SettleRecord settleRecord);

    void updateSettleStatus(Integer shopOrderId, Integer productType);

    Double findShouldPayShopAmount(Integer shopOrderId);

    Double findSettleSum(Integer shopOrderId,Integer status);

    void updateShopOrderSettleStatus(Integer shopOrderId, Integer settleStatus);

    List<CmReceiptOrderRelation> findOrderRelations(Integer orderId);

    Double findTotalAmount(Integer shopOrderId);

    List<NewOrderProduct> findOrderProductPrice(Integer shopOrderId);

    String findSplitCode(Integer shopOrderId);

    List<NewShopOrder> findPayShopOrderByShopOrderIds(List<Integer> shopOrderIds);

    void updateCmShopAccount(String cmBankAccount, String cmBankAccountName, String cmBankName);

    void deletePayShop(Integer id);

    Double findOnlinePayCm(Integer shopOrderId, Integer status);

    List<SplitRecord> findSplitRecord(Integer orderId);

    List<OrderPayShopRecord> findPayShopRecordsByOrder(Integer orderId);

    void backPayRecord(Integer id);

    void backPayShop(Integer id);

    List<SettleRecord> findSettleRecord(Integer orderId);

    void insertPayRecordForNow(OrderPayShopRecord shopRecord);

    List<OrderPayShopRecord> findPayShopRecordsByShopOrder(Integer shopOrderId);

    void updateShopPost(Integer shopOrderId, Double shopPostFee);

    List<NewShopOrder> findPayShopOrderWaitPay(Integer payShopId);

    Double findShopPostFee(Integer shopOrderId);

    NewShopOrder findShopOrderByPayShop(Integer payShopId);

    Integer getSplitTime(Integer shopOrderId);
}
