package com.caimei.modules.order.entity;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;


@ApiModel(description = "退货退款商品")
@Data
public class CmReturnedPurchaseProduct implements Serializable {
	
	private static final long serialVersionUID = 1L;
	private Integer id;
	@ApiModelProperty("退货退款Id(退款单Id)")
	private Integer returnedId;

	private Integer shopOrderId;
	private Integer productId;
	private Integer orderProductId;
	private Integer shopId;

	@ApiModelProperty("待发货数量")
	private Integer waitSendOutNum;
	@ApiModelProperty("已发货数量")
	private Integer sendOutNum;

	@ApiModelProperty("已退货数量")
	private Integer returnedPurchaseProductNum;
	@ApiModelProperty("已取消数量")
	private Integer cancelProductNum;

	@ApiModelProperty("申请退货数量")
	private Integer applicationReturnedNum;
	@ApiModelProperty("本次取消数量")
	private Integer applicationCancelNum;

	@ApiModelProperty("本次退货数量")
	private Integer actualReturnedNum;
	@ApiModelProperty("本次取消数量")
	private Integer actualCancelNum;

	@ApiModelProperty("退款接收方：1采美、2供应商、3采美及供应商")
	private String returnedReceiver;
	@ApiModelProperty("退货状态 状态：1退货退款中、2已完成、3已取消")
	private String status;

	private Integer presentNum;
	@ApiModelProperty("单价")
	private Double price;
	@ApiModelProperty("子订单商品数量")
	private Integer num;

	private String mainImage;
	private String name;
	private String shopName;
	@ApiModelProperty("子订单商品总价")
	private Double totalAmount;
	private Double totalAddedValueTax;
	@ApiModelProperty("规格")
	private String unit;
	@ApiModelProperty("该订单商品是否是首次退货退款")
	private Boolean firstReturn;
	@ApiModelProperty("待发货")
	private Integer notOutStore;
}