package com.caimei.modules.order.entity;

import java.math.BigDecimal;
import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import java.io.Serializable;
import lombok.Data;
import lombok.experimental.Accessors;
import org.apache.ibatis.type.Alias;

/**
 * 用户余额收支记录对象 cm_user_balance_record
 *
 * @author Kaick
 * @date 2023-06-18
 */
@Accessors(chain  = true )
@Data
@Alias("CmUserBalanceRecord")
public class CmUserBalanceRecord implements Serializable
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Integer id;

    /** 用户ID */
    private Integer userId;

    /** 收支类型：1收入，2支出 */
    private String type;

    /** 余额类型：1线下余额抵扣，2多收退款到余额，3申请退款到线下余额,4余额充值，5余额提现,6线下订金订单充值,7线下余额订单充值,8线下订金订单退款,9线下余额订单退款，10线上余额抵扣,13申请退款到线上余额，16线上订金订单充值，17线上余额订单充值，18线上订金订单退款，19线上余额订单退款 */
    private String balanceType;

    /** 添加时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    private Date addDate;

    /** 金额 */
    private BigDecimal amount;

    /** 主订单ID（适用余额类型1,3[类型为3多次退款存在相同记录ID则需通过退款ID唯一区分]） */
    private Integer orderId;

    /** 子订单Id */
    private Integer shopOrderId;

    /** 收款ID（适用余额类型2） */
    private Integer receiptId;

    /** 退货退款ID（适用余额类型3） */
    private Integer returnedId;

    /** 用户提现ID对应表(cm_user_balance_withdrawals) */
    private Integer withdrawalsId;

    /** 备注 */
    private String remark;

    /** 删除标记 0 否，其余是 */
    private String delFlag;

}
