package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzj
 */
@ApiModel("付款详情")
@Data
public class OrderPayShopDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("其他不传,1编辑付款单")
    private Integer operateMode;
    @ApiModelProperty("邮费信息")
    private String PostageInfo;

    @ApiModelProperty("供应商付款账号的户名")
    private String bankAccountName;
    @ApiModelProperty("供应商付款账号")
    private String bankAccount;
    @ApiModelProperty("供应商付款账号的开户行")
    private String bankName;
    @ApiModelProperty("付供应商账号的类型 0公账, 1私账")
    private Integer type;

    @ApiModelProperty("付采美账号的户名")
    private String cmBankAccountName;
    @ApiModelProperty("付采美账号")
    private String cmBankAccount;
    @ApiModelProperty("付采美账号的开户行")
    private String cmBankName;
    @ApiModelProperty("付采美账号的类型 0公账, 1私账")
    private Integer cmType;

    @ApiModelProperty("供应商运费")
    private Double shopPostFee;

    @ApiModelProperty("shopId")
    private Integer shopId;
    @ApiModelProperty("付款单Id")
    private Integer payShopId;
    @ApiModelProperty("付款单名称")
    private String name;
    @ApiModelProperty("供应商名称")
    private String shopName;
    @ApiModelProperty("付供应商总金额")
    private Double totalAmount;
    @ApiModelProperty("付采美总金额")
    private Double payCmTotalAmount;
    @ApiModelProperty("付款银行")
    private Integer payType;
    @ApiModelProperty("付款银行名称")
    private String bankNameType;
    @ApiModelProperty("申请人Id")
    private Integer applicant;
    @ApiModelProperty("申请人名称")
    private String applicantName;
    @ApiModelProperty("申请时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String applyTime;
    @ApiModelProperty("审核人Id")
    private Integer reviewer;
    @ApiModelProperty("审核人名称")
    private String reviewerName;
    @ApiModelProperty("审核时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String reviewTime;
    @ApiModelProperty("付款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String payTime;
    @ApiModelProperty("审核状态  0待审核,  1审核通过 2 审核不通过")
    private Integer status;
    @ApiModelProperty("审核不通过原因")
    private String reason;
    @ApiModelProperty("付款单关联的子订单")
    private List<NewShopOrder> shopOrders;
    @ApiModelProperty("删除标记 0未删除,其他删除")
    private Integer delFlag;
    @ApiModelProperty("机构名称")
    private String clubName;
}
