package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;


import java.io.Serializable;
import java.util.Date;

/**
 * @author zzj
 */
@ApiModel("付款记录")
@Data
public class OrderPayShopRecord implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer id;
    @ApiModelProperty("付款方式")
    private Integer payType;
    @ApiModelProperty("供应商Id")
    private Integer shopId;
    @ApiModelProperty("子订单Id")
    private Integer shopOrderId;
    @ApiModelProperty("子订单编号")
    private String shopOrderNo;
    @ApiModelProperty("付款金额")
    private Double payAmount;
    @ApiModelProperty("付采美金额")
    private Double payCmAmount;
    @ApiModelProperty("付款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String payTime;
    @ApiModelProperty("付款单表id")
    private Integer payShopId;
    @ApiModelProperty("0待审核, 1已审核")
    private Integer status;
    @ApiModelProperty("银行账户")
    private String bankNameType;
    @ApiModelProperty("删除标记")
    private Integer delFlag;
}
