package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;
import java.util.List;

/**
 * @author zzj
 * 收款详情关联订单信息
 */
@Data
@ApiModel(description= "收款详情实体")
public class ReceiptDetail implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("线下支付凭证")
    private List<Voucher> vouchers;

    @ApiModelProperty("用户付款方式：1线上，2线下")
    private Integer payWay;

    @ApiModelProperty("收款Id")
    private Integer receiptId;

    @ApiModelProperty("收款短信")
    private String smsContent;

    @ApiModelProperty("收款详情收款类型")
    private String bankNameType;

    @ApiModelProperty("订单编号")
    private String orderNo;

    @ApiModelProperty("收款金额")
    private String receiptAmount;

    @ApiModelProperty("收款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String receiptDate;

    @ApiModelProperty("收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销、6待返佣、7已返佣【线上支付成功为审核通过】")
    private Integer receiptStatus;

    private Integer orderId;

    @ApiModelProperty("关联订单信息")
    private List<ReceiptOrderInfo> orderInfos;
}
