package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.io.Serializable;

/**
 * @author zzj
 *
 */
@Data
@ApiModel(description= "收款列表实体")
public class ReceiptVo implements Serializable {

    private Integer id;

    @ApiModelProperty("用户付款方式：1线上，2线下")
    private Integer payWay;
    /**
     * 见cm_offline_collection
     */
    private Integer payType;

    @ApiModelProperty("收款id")
    private Integer receiptId;

    @ApiModelProperty("子订单编号")
    private String  shopOrderId;
    @ApiModelProperty("关联子订单号")
    private String  shopOrderNos;

    @ApiModelProperty("收款款项二级类别1.上架费2.订单返佣3.认证通会员4.认证通企划")
    private Integer newReceiptType;

    @ApiModelProperty("收款款项类型：1订单款,2非订单款,3返佣款,5供应商退款,6超级会员款,7二手商品上架费,8优惠券购买费,9认证通会员款")
    private Integer receiptType;

    @ApiModelProperty("关联订单号")
    private String orders;

    @ApiModelProperty("查询条件：收款开始时间")
    private String startTime;

    @ApiModelProperty("查询条件：收款结束时间")
    private String endTime;

    @ApiModelProperty("查询条件：关联数量 1单个,2多个")
    private String associationNum;

    @ApiModelProperty("查询条件：订单编号")
    private String orderNo;

    @ApiModelProperty("查询条件：订单ID")
    private String orderId;

    @ApiModelProperty("组织id")
    private Integer organizeId;

    @ApiModelProperty("查询条件：机构名称")
    private String clubName;

    @ApiModelProperty("收款进度  1待收  2部分收  3全收")
    private Integer receiptProgress;

    @ApiModelProperty("收款状态：1待确认、2已确认(待审核)、3审核通过、4审核未通过、5收款撤销、6待返佣、7已返佣【线上支付成功为审核通过】")
    private Integer receiptStatus;

    @ApiModelProperty("收款金额")
    private String receiptAmount;

    @ApiModelProperty("收款时间")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private String receiptTime;

    @ApiModelProperty("支付方式展示字段")
    private String bankNameType;
}
