package com.caimei.modules.order.entity;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.util.List;

@ApiModel(description = "退货退款子订单")
@Data
public class ShopOrderReturned implements Serializable {


    private String shopName;
    private Integer shopId;
    private Integer shopOrderId;
    private String shopOrderNo;
    private String returnedReceiver;
    @ApiModelProperty("付款状态：1待付款、2部分付款、3已付款")
    private Integer payStatus;
    @ApiModelProperty("收款状态：1待收款、2部分收款、3已收款")
    private Integer receiptStatus;
    @ApiModelProperty("发货状态：1待发货、2部分发货、3已发货")
    private String sendOutStatus;
    private Double needPayAmount;
    private Double totalAmount;
    @ApiModelProperty("子订单金额")
    private Double productAmount;
    @ApiModelProperty("退款子订单商品")
    private List<CmReturnedPurchaseProduct> cmReturnedPurchaseProductList;
}
