package com.caimei.modules.order.service;

import com.caimei.modules.order.entity.NewOrder;
import com.caimei.modules.order.entity.NewShopOrder;
import com.caimei.modules.order.entity.OrderPayShop;
import com.caimei.modules.order.entity.OrderPayShopDetail;
import com.caimei.utils.ResponseJson;
import com.github.pagehelper.PageInfo;

import java.util.List;
import java.util.Map;

/**
 * @author zzj
 */
public interface PayShopService {

    PageInfo<OrderPayShop> findPayList(OrderPayShop orderPayShop, int pageNum, int pageSize);

    OrderPayShopDetail getPayShopDetail(Integer id);

    ResponseJson checkPass(Integer id, Integer payType, Integer passCode,String reason) throws Exception;

    ResponseJson<Integer> applyPay(OrderPayShopDetail payShop) throws Exception;

    ResponseJson cancelPay(Integer id);

    ResponseJson splitShopOrders(List<Integer> shopOrderIds);

    ResponseJson settleShopOrders(OrderPayShopDetail payShop);

    PageInfo<NewShopOrder> findPayOrderList(OrderPayShop orderPayShop, Integer pageNum, Integer pageSize);

    ResponseJson<OrderPayShopDetail> applyPayList(List<Integer> shopOrderIds);

    ResponseJson<PageInfo<NewOrder>> orderPayInfoList(OrderPayShop orderPayShop, Integer pageNum, Integer pageSize);

    ResponseJson<Map<String,Object>> findSplitRecord(Integer orderId);

    ResponseJson<Map<String,Object>> findReceiptRecord(Integer orderId,Integer shopOrderId);

    ResponseJson backPay(Integer id);

    ResponseJson<Map<String, Object>> findSettleRecord(Integer orderId);
}
