package com.caimei.modules.shiro.dao;

import com.caimei.modules.shiro.entity.CmMallAdminUser;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/25
 */
@Mapper
public interface MallUserDao {
    /**
     * 后台用户集合
     * @param cmMallAdminUser
     * @return
     */
    List<CmMallAdminUser> getMallUserInfo(CmMallAdminUser cmMallAdminUser);

    /**
     * 获取用户信息
     * @param id
     * @return
     */
    CmMallAdminUser getMallUserById(@Param("id") Integer id);

    /**
     * 修改用户上下线
     * @param status
     * @param id
     */
    void updateUser(@Param("status") Integer status, @Param("id") Integer id);
    /**
     * 获取相同用户名的用户
     * @return
     */
    Integer getRepeat(@Param("account") String account,@Param("id") String id);

    /**
     * 添加组织后台用户
     * @param cmMallAdminUser
     */
    void insertMallUser(CmMallAdminUser cmMallAdminUser);

    /**
     * 修改组织后台用户
     * @param cmMallAdminUser
     */
    void updateMallUser(CmMallAdminUser cmMallAdminUser);
}
