package com.caimei.modules.shiro.service;

import com.caimei.modules.club.entity.Page;
import com.caimei.modules.shiro.entity.CmMallAdminUser;
import com.caimei.utils.ResponseJson;

/**
 * Description
 *
 * @author : Charles
 * @date : 2023/5/25
 */
public interface MallUserService {
    /**
     * 后台用户信息集合
     * @param cmMallAdminUser
     * @return
     */
    ResponseJson<Page<CmMallAdminUser>> getMallUserInfo(CmMallAdminUser cmMallAdminUser, Integer pageNum, Integer pageSize);

    /**
     * 修改用户上下线状态
     * @param status
     * @param id
     */
    ResponseJson updateUser(Integer status,  Integer id);
    /**
     * 获取用户信息
     * @param id
     * @return
     */
    CmMallAdminUser getMallUserById(Integer id);

    /**
     * 保存用户信息
     * @param cmMallAdminUser
     */
    ResponseJson saveUser(CmMallAdminUser cmMallAdminUser);

    /**
     * 重置密码
     * @param password
     * @param id
     */
    ResponseJson repeatPassword(String password, Integer id);
}
